aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/jenkins
diff options
context:
space:
mode:
authorGravatar Michael Lumish <mlumish@google.com>2015-10-05 08:48:36 -0700
committerGravatar Michael Lumish <mlumish@google.com>2015-10-05 08:48:36 -0700
commitc23b7df81c374cb6a8eca073af4340f25cc3d4cb (patch)
tree719ddab48cd293b99e9beead9c789f5f4e8591dd /tools/jenkins
parenta8af908a4dfedb8e2dfc5b8a860cdbbe7cb01935 (diff)
parent4d97707751dd0912225e14ef469da762b62f6979 (diff)
Merge pull request #3609 from nicolasnoble/html-reports
Adding crude html report support.
Diffstat (limited to 'tools/jenkins')
-rwxr-xr-xtools/jenkins/build_docker_and_run_tests.sh4
-rwxr-xr-xtools/jenkins/docker_run_tests.sh14
2 files changed, 18 insertions, 0 deletions
diff --git a/tools/jenkins/build_docker_and_run_tests.sh b/tools/jenkins/build_docker_and_run_tests.sh
index 9f97f39e75..2c562e992a 100755
--- a/tools/jenkins/build_docker_and_run_tests.sh
+++ b/tools/jenkins/build_docker_and_run_tests.sh
@@ -74,6 +74,10 @@ then
docker cp "$DOCKER_CID:/var/local/git/grpc/$XML_REPORT" $git_root
fi
+docker cp "$DOCKER_CID:/var/local/git/grpc/reports.zip" $git_root || true
+unzip $git_root/reports.zip -d $git_root || true
+rm -f reports.zip
+
# remove the container, possibly killing it first
docker rm -f $DOCKER_CID || true
diff --git a/tools/jenkins/docker_run_tests.sh b/tools/jenkins/docker_run_tests.sh
index 3595a95f5c..2e39bc6f51 100755
--- a/tools/jenkins/docker_run_tests.sh
+++ b/tools/jenkins/docker_run_tests.sh
@@ -42,4 +42,18 @@ git clone --recursive /var/local/jenkins/grpc /var/local/git/grpc
nvm use 0.12
rvm use ruby-2.1
+mkdir -p reports
+
$RUN_TESTS_COMMAND
+
+cd reports
+echo '<html><head></head><body>' > index.html
+find . -maxdepth 1 -mindepth 1 -type d | sort | while read d ; do
+ d=${d#*/}
+ n=${d//_/ }
+ echo "<a href='$d/index.html'>$n</a><br />" >> index.html
+done
+echo '</body></html>' >> index.html
+cd ..
+
+zip -r reports.zip reports